
// Regulacia jasu LED

//rezistor -> PIN3, 
//LED (kratsia noha, zrezana strana) -> GND, 

int jas;
int krok=1; 

void setup()
{
  pinMode(3,OUTPUT);  //vystup, kam sa pripoji LED, musi byt schopny robit PWM (symbol ~)
} 

void loop()
{
  if(jas<1) krok=1; //uz treba jas zvysovat
  if(jas>254) krok=-1; //uz treba jas znizovat
  jas=jas+krok;
  analogWrite(3,jas); //zapisat hodnotu PWM
  delay(10); //pockat, az po chvili zmenit jas na novu hodnotu 
}
